Bug 32446 - Samba4 unjoin script
Samba4 unjoin script
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Stefan Gohmann
Arvid Requate
: interim-2
Depends on:
Blocks: 30786
  Show dependency treegraph
 
Reported: 2013-09-02 09:10 CEST by Stefan Gohmann
Modified: 2013-11-19 06:42 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-09-02 09:10:14 CEST
An unjoin script for samba 4 is missing.
Comment 1 Stefan Gohmann univentionstaff 2013-09-06 08:28:21 CEST
The unjoin script has been added:
 Code: r43736 + r43745
 Changelog: 43758
Comment 2 Arvid Requate univentionstaff 2013-09-17 18:57:17 CEST
It works (on slave and backup) and changelog is Ok.

Two suggestions:

Maybe some more UCR variables should be unset in postrm:
* samba/max/protocol

Maybe some more UCR variables should be unset:
* if kerberos/kdc == 127.0.0.1 : unset
* if kerberos/kpasswdserver == 127.0.0.1 : unset
Comment 3 Arvid Requate univentionstaff 2013-09-17 19:00:32 CEST
Maybe the postrm should also work for the "purge" action of the package.
Comment 4 Stefan Gohmann univentionstaff 2013-09-18 07:43:02 CEST
(In reply to Arvid Requate from comment #2)
> Maybe some more UCR variables should be unset in postrm:
> * samba/max/protocol

done

> Maybe some more UCR variables should be unset:
> * if kerberos/kdc == 127.0.0.1 : unset
> * if kerberos/kpasswdserver == 127.0.0.1 : unset

done


(In reply to Arvid Requate from comment #3)
> Maybe the postrm should also work for the "purge" action of the package.

See http://www.debian.org/doc/debian-policy/ch-maintainerscripts.html, even in the purge scenario the package is called with remove first.
Comment 5 Arvid Requate univentionstaff 2013-09-18 11:32:48 CEST
Ok.
Comment 6 Stefan Gohmann univentionstaff 2013-11-19 06:42:56 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".